curl --request POST \
--url https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {
"format": "moonbounce.spec/0",
"nodes": {},
"output": "<string>",
"guidance": "<string>",
"target": "<string>",
"meta": {
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"display": {}
}
},
"examples": [
{
"item_id": "<string>",
"subject": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": true
}
],
"claims": [
{
"kind": "target",
"value": true
}
],
"context": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": true
}
],
"summary": "<string>",
"metadata": {},
"reason": "<string>",
"unsure": true
}
],
"weights": "default",
"structure": "<string>"
}
'import requests
url = "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds"
payload = {
"spec": {
"format": "moonbounce.spec/0",
"nodes": {},
"output": "<string>",
"guidance": "<string>",
"target": "<string>",
"meta": {
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"display": {}
}
},
"examples": [
{
"item_id": "<string>",
"subject": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": True
}
],
"claims": [
{
"kind": "target",
"value": True
}
],
"context": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": True
}
],
"summary": "<string>",
"metadata": {},
"reason": "<string>",
"unsure": True
}
],
"weights": "default",
"structure": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spec: {
format: 'moonbounce.spec/0',
nodes: {},
output: '<string>',
guidance: '<string>',
target: '<string>',
meta: {
title: '<string>',
description: '<string>',
owner: '<string>',
tags: ['<string>'],
display: {}
}
},
examples: [
{
item_id: '<string>',
subject: [{type: 'text', text: '<string>', name: '<string>', sensitive: true}],
claims: [{kind: 'target', value: true}],
context: [{type: 'text', text: '<string>', name: '<string>', sensitive: true}],
summary: '<string>',
metadata: {},
reason: '<string>',
unsure: true
}
],
weights: 'default',
structure: '<string>'
})
};
fetch('https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'spec' => [
'format' => 'moonbounce.spec/0',
'nodes' => [
],
'output' => '<string>',
'guidance' => '<string>',
'target' => '<string>',
'meta' => [
'title' => '<string>',
'description' => '<string>',
'owner' => '<string>',
'tags' => [
'<string>'
],
'display' => [
]
]
],
'examples' => [
[
'item_id' => '<string>',
'subject' => [
[
'type' => 'text',
'text' => '<string>',
'name' => '<string>',
'sensitive' => true
]
],
'claims' => [
[
'kind' => 'target',
'value' => true
]
],
'context' => [
[
'type' => 'text',
'text' => '<string>',
'name' => '<string>',
'sensitive' => true
]
],
'summary' => '<string>',
'metadata' => [
],
'reason' => '<string>',
'unsure' => true
]
],
'weights' => 'default',
'structure' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds"
payload := strings.NewReader("{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"environment": "production",
"decision_id": "<string>",
"version": {
"structure": "<string>",
"weights": "<string>"
},
"total": 123,
"agreed": 123,
"results": [
{
"item_id": "<string>",
"evaluation_id": "<string>",
"feedback_id": "<string>",
"status": "scored",
"agreed": true,
"conflicts": [
{
"feature": "<string>",
"expected": true,
"got": 0.5
}
],
"outcome": "<string>",
"score": 123,
"cost": {
"engine_calls": 1,
"cache_hits": 1,
"input_tokens": 1,
"usd_micros": 1
}
}
],
"cost": {
"engine_calls": 1,
"cache_hits": 1,
"input_tokens": 1,
"usd_micros": 1
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}Seed a decision with labeled examples
Imports labeled starting examples (seeds): each runs through the engines (spends engine calls) and is stored as an evaluation with seed feedback. Fresh responses include recorded cost per result and a batch total; engine_calls counts upstream calls, which can answer several features, and cache_hits is 0 today. Evaluates up to 200 labeled examples and records their claims as seed feedback in one atomic batch, so previews can replay them. Before any engine call each example is checked: media and turn parts are 400 CAPABILITY_UNSUPPORTED (param examples.<i>.subject.<j>.type), an inputs name its subject lacks is 400 CONTENT_INVALID (examples.<i>.nodes.<leaf>.inputs.<k>), and claims are checked (examples.<i>.claims.<j>). If any example’s output fails, the whole batch is refused with 502 engine_failed and details.items naming every failed example with its per-feature failures (features); nothing is saved. The request has a 60 s budget, the commit included; a batch that cannot be evaluated within it is a 422 naming how many examples were evaluated in time (send smaller batches). A replay with the same Idempotency-Key returns the first result with the Idempotent-Replayed header and calls no engine.
curl --request POST \
--url https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {
"format": "moonbounce.spec/0",
"nodes": {},
"output": "<string>",
"guidance": "<string>",
"target": "<string>",
"meta": {
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"display": {}
}
},
"examples": [
{
"item_id": "<string>",
"subject": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": true
}
],
"claims": [
{
"kind": "target",
"value": true
}
],
"context": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": true
}
],
"summary": "<string>",
"metadata": {},
"reason": "<string>",
"unsure": true
}
],
"weights": "default",
"structure": "<string>"
}
'import requests
url = "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds"
payload = {
"spec": {
"format": "moonbounce.spec/0",
"nodes": {},
"output": "<string>",
"guidance": "<string>",
"target": "<string>",
"meta": {
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"display": {}
}
},
"examples": [
{
"item_id": "<string>",
"subject": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": True
}
],
"claims": [
{
"kind": "target",
"value": True
}
],
"context": [
{
"type": "text",
"text": "<string>",
"name": "<string>",
"sensitive": True
}
],
"summary": "<string>",
"metadata": {},
"reason": "<string>",
"unsure": True
}
],
"weights": "default",
"structure": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spec: {
format: 'moonbounce.spec/0',
nodes: {},
output: '<string>',
guidance: '<string>',
target: '<string>',
meta: {
title: '<string>',
description: '<string>',
owner: '<string>',
tags: ['<string>'],
display: {}
}
},
examples: [
{
item_id: '<string>',
subject: [{type: 'text', text: '<string>', name: '<string>', sensitive: true}],
claims: [{kind: 'target', value: true}],
context: [{type: 'text', text: '<string>', name: '<string>', sensitive: true}],
summary: '<string>',
metadata: {},
reason: '<string>',
unsure: true
}
],
weights: 'default',
structure: '<string>'
})
};
fetch('https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'spec' => [
'format' => 'moonbounce.spec/0',
'nodes' => [
],
'output' => '<string>',
'guidance' => '<string>',
'target' => '<string>',
'meta' => [
'title' => '<string>',
'description' => '<string>',
'owner' => '<string>',
'tags' => [
'<string>'
],
'display' => [
]
]
],
'examples' => [
[
'item_id' => '<string>',
'subject' => [
[
'type' => 'text',
'text' => '<string>',
'name' => '<string>',
'sensitive' => true
]
],
'claims' => [
[
'kind' => 'target',
'value' => true
]
],
'context' => [
[
'type' => 'text',
'text' => '<string>',
'name' => '<string>',
'sensitive' => true
]
],
'summary' => '<string>',
'metadata' => [
],
'reason' => '<string>',
'unsure' => true
]
],
'weights' => 'default',
'structure' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds"
payload := strings.NewReader("{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonbounce.ai/v1/decisions/{decision_id}/seeds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"spec\": {\n \"format\": \"moonbounce.spec/0\",\n \"nodes\": {},\n \"output\": \"<string>\",\n \"guidance\": \"<string>\",\n \"target\": \"<string>\",\n \"meta\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"owner\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"display\": {}\n }\n },\n \"examples\": [\n {\n \"item_id\": \"<string>\",\n \"subject\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"claims\": [\n {\n \"kind\": \"target\",\n \"value\": true\n }\n ],\n \"context\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"summary\": \"<string>\",\n \"metadata\": {},\n \"reason\": \"<string>\",\n \"unsure\": true\n }\n ],\n \"weights\": \"default\",\n \"structure\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"environment": "production",
"decision_id": "<string>",
"version": {
"structure": "<string>",
"weights": "<string>"
},
"total": 123,
"agreed": 123,
"results": [
{
"item_id": "<string>",
"evaluation_id": "<string>",
"feedback_id": "<string>",
"status": "scored",
"agreed": true,
"conflicts": [
{
"feature": "<string>",
"expected": true,
"got": 0.5
}
],
"outcome": "<string>",
"score": 123,
"cost": {
"engine_calls": 1,
"cache_hits": 1,
"input_tokens": 1,
"usd_micros": 1
}
}
],
"cost": {
"engine_calls": 1,
"cache_hits": 1,
"input_tokens": 1,
"usd_micros": 1
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"reason": "<string>",
"param": "<string>",
"details": {}
}
}Authorizations
An API key, sent as Authorization: Bearer <key>. Each operation lists the scope its key needs: decisions:evaluate (evaluate and read evaluations), decisions:feedback (your app's feedback) or decisions:develop (everything else, including owner feedback and the review queue). An operation listing no scope takes any scoped key. A key with no scope, or without the operation's, gets 403 INSUFFICIENT_SCOPE.
Headers
Makes a retry safe. For 24 hours, the same key with the same request returns the first stored result (with Idempotent-Replayed: true); the same key with a different request is a 422 IDEMPOTENCY_KEY_REUSED. Keys are scoped to the organization and environment across every operation, so use a fresh key per request. A request that failed before its result was stored runs again when retried with its key.
1 - 255^[\x20-\x7e]+$Path Parameters
^[a-z][a-z0-9_.-]{0,127}$Body
Response
Seeded
The environment of the key that made the call: production or test. Evaluations, feedback, reviews and suggestions are separate per environment; registered structures are shared.
production, test ^[a-z][a-z0-9_.-]{0,127}$Show child attributes
Show child attributes
Results whose agreed value is true.
Show child attributes
Show child attributes
Always present on fresh responses; absent only on an idempotent replay of a response stored before costs were reported.
Show child attributes
Show child attributes